// 提取内容 bc#def@ghi 中的 # 两边的内容
// 都是贪婪匹配, 会一直读取到 # 为止
#include <stdio.h>
#include <stdlib.h>

int main()
{
    char *content = "bc#def@ghi";
    char buf1[20] = "";
    char buf2[20] = "";
    // %[^#] 表示读取到 # 为止的内容, %[^@] 表示读取到 @ 为止的内容
    sscanf(content, "%[a-z]#%[a-z@]", buf1, buf2);

    printf("%s\n", buf1);
    printf("%s\n", buf2);

    return 0;
}